<?php
/**
 * Template part for displaying posts
 *
 * @link https://developer.wordpress.org/themes/basics/template-hierarchy/
 *
 * @package Bosa Driving School
 */
?>

<?php
	$bosa_driving_school_stickyClass = "col-12";
	$bosa_driving_school_layout_class = '';
	if( get_theme_mod( 'bosa_driving_school_sidebar_settings', 'right' ) == 'right' ) {
		if ( get_theme_mod( 'bosa_driving_school_archive_post_layout', 'list' ) == 'grid' ){
			$bosa_driving_school_stickyClass = "col-sm-6 grid-post";
			if( !is_active_sidebar( 'right-sidebar') ){
				$bosa_driving_school_stickyClass = "col-sm-6 col-lg-4 grid-post";
			}
		}
	}elseif( get_theme_mod( 'bosa_driving_school_sidebar_settings', 'right' ) == 'left' ) {
		if ( get_theme_mod( 'bosa_driving_school_archive_post_layout', 'list' ) == 'grid' ){
			$bosa_driving_school_stickyClass = "col-sm-6 grid-post";
			if( !is_active_sidebar( 'left-sidebar') ){
				$bosa_driving_school_stickyClass = "col-sm-6 col-lg-4 grid-post";
			}
		}
	}elseif( get_theme_mod( 'bosa_driving_school_sidebar_settings', 'right' ) == 'no-sidebar' ) {
		if ( get_theme_mod( 'bosa_driving_school_archive_post_layout', 'list' ) == 'grid' ){
			$bosa_driving_school_stickyClass = "col-sm-6 col-lg-4 grid-post";
		}
	}elseif( get_theme_mod( 'bosa_driving_school_sidebar_settings', 'right' ) == 'right-left' ) {
		if ( get_theme_mod( 'bosa_driving_school_archive_post_layout', 'list' ) == 'grid' ){
			$bosa_driving_school_stickyClass = "col-sm-6 col-lg-6 grid-post";
			if( !is_active_sidebar( 'left-sidebar') && !is_active_sidebar( 'right-sidebar') ){
				$bosa_driving_school_stickyClass = "col-sm-6 col-lg-4 grid-post";
			}
		}
	}
	if( get_theme_mod( 'bosa_driving_school_disable_sidebar_blog_page', false ) && get_theme_mod( 'bosa_driving_school_archive_post_layout', 'list' ) == 'grid' ){
		$bosa_driving_school_stickyClass = "col-sm-6 col-lg-4 grid-post";
	}

	if( get_theme_mod( 'bosa_driving_school_archive_post_layout', 'list' ) == 'list' ){
		$bosa_driving_school_layout_class = 'list-post';
	}elseif( get_theme_mod( 'bosa_driving_school_archive_post_layout', 'list' ) == 'single' ){
		$bosa_driving_school_layout_class = 'single-post';
	}

	$bosa_driving_school_class = '';
	if(!has_post_thumbnail()){
		$bosa_driving_school_class = 'no-thumbnail';
	}

?>
<div class="<?php echo esc_attr( $bosa_driving_school_stickyClass );?>">
	<article id="post-<?php the_ID(); ?>" <?php post_class( $bosa_driving_school_class . ' ' . $bosa_driving_school_layout_class ) ?> >
		<?php 
		
		if ( has_post_thumbnail() ) : ?>
	        <figure class="featured-image">
	            <a href="<?php the_permalink(); ?>">
	                <?php
	                $bosa_driving_school_grid_list_size = 'bosa-driving-school-420-300';
	                $bosa_driving_school_single_size 	= 'bosa-driving-school-1370-550';
	                $bosa_driving_school_render_post_image_size = get_theme_mod( 'bosa_driving_school_render_post_image_size', '' );
	                if ( !empty( $bosa_driving_school_render_post_image_size ) ){
	                	$bosa_driving_school_grid_list_size = $bosa_driving_school_render_post_image_size;
	                	$bosa_driving_school_single_size 	= $bosa_driving_school_render_post_image_size;
	                }
	                if( get_theme_mod( 'bosa_driving_school_sidebar_settings', 'right' ) == 'right' ) {
	                	if ( get_theme_mod( 'bosa_driving_school_archive_post_layout', 'list' ) == 'grid' || get_theme_mod( 'bosa_driving_school_archive_post_layout', 'list' ) == 'list' ){
	                		bosa_driving_school_image_size( $bosa_driving_school_grid_list_size );
	                	}elseif( get_theme_mod( 'bosa_driving_school_archive_post_layout', 'list' ) == 'single' ){
	                		bosa_driving_school_image_size( $bosa_driving_school_single_size );
	                	}
	                }elseif( get_theme_mod( 'bosa_driving_school_sidebar_settings', 'right' ) == 'left' ) {
	                	if ( get_theme_mod( 'bosa_driving_school_archive_post_layout', 'list' ) == 'grid' || get_theme_mod( 'bosa_driving_school_archive_post_layout', 'list' ) == 'list' ){
	                		bosa_driving_school_image_size( $bosa_driving_school_grid_list_size );
	                	}elseif( get_theme_mod( 'bosa_driving_school_archive_post_layout', 'list' ) == 'single' ){
	                		bosa_driving_school_image_size( $bosa_driving_school_single_size );
	                	}
	                }elseif( get_theme_mod( 'bosa_driving_school_sidebar_settings', 'right' ) == 'no-sidebar' ) {
	                	if ( get_theme_mod( 'bosa_driving_school_archive_post_layout', 'list' ) == 'grid' || get_theme_mod( 'bosa_driving_school_archive_post_layout', 'list' ) == 'list' ){
	                		bosa_driving_school_image_size( $bosa_driving_school_grid_list_size );
	                	}elseif( get_theme_mod( 'bosa_driving_school_archive_post_layout', 'list' ) == 'single' ){
	                		bosa_driving_school_image_size( $bosa_driving_school_single_size );
	                	}
	                }elseif( get_theme_mod( 'bosa_driving_school_sidebar_settings', 'right' ) == 'right-left' ) {
	                	if ( get_theme_mod( 'bosa_driving_school_archive_post_layout', 'list' ) == 'grid' || get_theme_mod( 'bosa_driving_school_archive_post_layout', 'list' ) == 'list' ){
	                		bosa_driving_school_image_size( $bosa_driving_school_grid_list_size );
	                	}elseif( get_theme_mod( 'bosa_driving_school_archive_post_layout', 'list' ) == 'single' ){
	                		bosa_driving_school_image_size( $bosa_driving_school_single_size );
	                	}
	                }
	                ?>
	            </a>
	        </figure><!-- .recent-image -->
		<?php
	    endif;
		?>
	    <div class="entry-content">
	    	<header class="entry-header">
				<?php 
					if( !get_theme_mod( 'bosa_driving_school_hide_category', false ) ){
						bosa_driving_school_entry_header();
					}
					if( !get_theme_mod( 'bosa_driving_school_hide_post_title', false ) ){
						the_title( '<h3 class="entry-title"><a href="' . esc_url( get_permalink() ) . '" rel="bookmark">', '</a></h3>' );
					}
				?>

			</header><!-- .entry-header -->
			<div class="entry-meta">
	           <?php bosa_driving_school_entry_footer(); ?>
	        </div><!-- .entry-meta -->
			
			<?php if ( !get_theme_mod( 'bosa_driving_school_hide_blog_page_excerpt', false ) || !get_theme_mod( 'bosa_driving_school_hide_post_button', true ) ){ ?>
		        <div class="entry-text">
					<?php
						if ( !get_theme_mod( 'bosa_driving_school_hide_blog_page_excerpt', false ) ){
							$bosa_driving_school_excerpt_length = get_theme_mod( 'bosa_driving_school_post_excerpt_length', 15 );
							bosa_driving_school_excerpt( $bosa_driving_school_excerpt_length , true );
						}
					?>
					<?php 
						if( !get_theme_mod( 'bosa_driving_school_hide_post_button', true ) ){
							$bosa_driving_school_post_btn_defaults = array(
								array(
									'blog_btn_type' 		=> 'button-text',
									'blog_btn_bg_color'		=> '#FF5528',
									'blog_btn_border_color'	=> '#1a1a1a',
									'blog_btn_text_color'	=> '#1a1a1a',
									'blog_btn_hover_color'	=> '#FF3500',
									'blog_btn_text' 		=> '',
									'blog_btn_radius'		=> 0,
								),		
							);
							$bosa_driving_school_post_button = get_theme_mod( 'bosa_driving_school_blog_page_button_repeater', $bosa_driving_school_post_btn_defaults );
							if( !empty( $bosa_driving_school_post_button ) && is_array( $bosa_driving_school_post_button ) ){ ?>
								<div class="button-container">
									<?php
									  	$bosa_driving_school_count = 0.2;
					            		foreach( $bosa_driving_school_post_button as $bosa_driving_school_value ){
											if( !empty( $bosa_driving_school_value['blog_btn_text'] ) ){ ?>
												<a href="<?php the_permalink(); ?>" class="<?php echo esc_attr( $bosa_driving_school_value['blog_btn_type'] ); ?>">
													<?php 
														echo esc_html( $bosa_driving_school_value['blog_btn_text'] );
													?>
												</a>
												<?php
								                $bosa_driving_school_count = $bosa_driving_school_count + 0.2;
								            }
							        	}
							        ?>
							    </div>
							    <?php
					        }
						}
					?>	
				</div>
			<?php } ?>
		</div><!-- .entry-content -->
	</article><!-- #post-->
</div>